REWINDDIR(P)

NAME
rewinddir - reset the position of a directory stream to the beginning of a directory

SYNOPSIS

#include <dirent.h>

void rewinddir(DIR *dirp);

DESCRIPTION

The rewinddir() function shall reset the position of the directory stream to which dirp refers to the beginning of the directory. It shall also cause the directory stream to refer to the current state of the corresponding directory, as a call to opendir() would have done. If dirp does not refer to a directory stream, the effect is undefined.

After a call to the fork() function, either the parent or child (but not both) may continue processing the directory stream using readdir(), rewinddir(), or seekdir(). If both the parent and child processes use these functions, the result is undefined.

RETURN VALUE

The rewinddir() function shall not return a value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The rewinddir() function should be used in conjunction with opendir(), readdir(), and closedir() to examine the contents of the directory. This method is recommended for portability.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

closedir() , opendir() , readdir() , the Base Definitions volume of IEEE Std 1003.1-2001, <dirent.h> <sys/types.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .